Issue 46594 - Port for Windows x64
Summary: Port for Windows x64
Status: CONFIRMED
Alias: None
Product: porting
Classification: Code
Component: code (show other issues)
Version: OOo 2.0
Hardware: PC (x86_64) Windows XP
: P3 Trivial with 46 votes (vote)
Target Milestone: AOO PleaseHelp
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 85011 112545 127682 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-04-04 11:30 UTC by jrepin
Modified: 2018-03-04 05:33 UTC (History)
9 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jrepin 2005-04-04 11:30:39 UTC
The final version of 64-bit Windows XP Professional x64 Edition has been
released to manufacturing a few days ago and it will be available to us this
month. So this is about the right time to start compiling 64-bit OpenOffice.org
and making development versions of 2.0 available to download so that users can
start testing them and so that 64-bit OpenOffice.org will be ready to run on
64-bit Windows XP when it gets released. Besides possible optimizations for
speed, larger data sizes on AMD64 and making it possible to ccoperate with other
64-bit apps and system, this will also be a nice marketing move. Let's make OOo
one of the first 64-bit office suits to work perfectly on 64-bit Windows XP x64
Edition.
Comment 1 stx123 2005-04-04 12:21:39 UTC
moving to component porting where work on an 64bit version is ongoing...
Comment 2 stx123 2005-04-04 12:22:20 UTC
moving to subcomponent code
Comment 3 Martin Hollmichel 2005-04-17 09:37:00 UTC
since there is some more effort needed than just compile it and make the
binaries available I changed the title to: Port for Windows XP x64.
Comment 4 monty241070 2007-02-03 11:39:19 UTC
I would like to add a request for a version that runs also x64 on Windows 2003
Terminal Server. We have stopped using Word and are using OpenOffice on terminal
server x64.
Comment 5 aziem 2008-01-06 06:14:26 UTC
*** Issue 85011 has been marked as a duplicate of this issue. ***
Comment 6 Martin Hollmichel 2008-06-16 09:15:09 UTC
nobody is actually working on this -> unassigned.
Comment 7 dysamoria 2009-02-07 04:18:01 UTC
Vista 64-bit has been out for years now... as has XP 64-bit. there ought be a
64-bit version of OpenOffice. Less overhead, more memory available, etc.
Comment 8 enderandrew 2009-02-07 04:23:50 UTC
64-bit drivers are considerably more plentiful, and of better quality today than
they were in years past because Microsoft is requiring them for Vista.

Windows 7 is going to launch this year, and I think we're going to see Microsoft
pushing OEMs to have Windows 7 x64 preinstalled on more computers.  We've had
Windows XP x64 for something like 5 years.

I run a 64-bit version of OpenOffice in Linux.  Why can't I in Windows?
Comment 9 Martin Hollmichel 2009-02-07 09:03:49 UTC
C++ code developed in Win32 systems is based on the ILP32 model, where int,
long, and pointer types are 32 bits. UNIX systems follow the LP64 model, where
long and pointer types are 64 bits, but ints remain 32 bits.
For the (Windows) Application Binary Interface on x64, ILP is 32 bits : 32 bits
: 64 bits. (Note this is different than the ILP for 64-bit Linux) So, before
even beginning to move code over to the new platform, make sure you're not
making assumptions about the width of these data primitives.


also see: http://www.unix.org/version2/whatsnew/lp64_wp.html
http://www.ibm.com/developerworks/aix/library/au-porting2/index.html
http://developer.amd.com/documentation/articles/pages/372005120.aspx

so a Windows 64bit edition will not just be a matter of recompiling the stuff
for 64bit, there will be some more efforts in doing the review of the used data
type and then following some QA work.

The 32bit version of OpenOffice.org is running well on 64bit Windows and
currently the most common use cases for Office productivity don't require the
"advantages" of the 64bit model.

I expect that some porting work will start once Windows x64 get broader
installation basis. 
Comment 10 Martin Hollmichel 2010-06-20 13:00:43 UTC
*** Issue 112545 has been marked as a duplicate of this issue. ***
Comment 11 gleppert 2010-06-20 23:57:30 UTC
Since the release of Windows 7 the installed basis of Windows x64 has been
steadily increasing. Office 2010 which was released last week is also available
as 64bit version (Windows-only not Mac, of course). They, for example, used the
opportunity to remove the row limits in Excel in the 64 bit version.

When will there be a 64bit OO.org for Windows? 
Comment 12 strata 2010-08-31 10:21:15 UTC
In addition to one of "mh"'s comments, I think these paragraph is also useful
and clarifier 
http://en.wikipedia.org/wiki/C_variable_types_and_declarations#Size
Comment 13 brendlerjg 2010-08-31 22:16:57 UTC
I think this bug should be closed and a new one opened.

I have been watching this bug for FIVE YEARS and absolutely nothing has happened.

This bug has a voodoo curse on it or something.  Nothing is ever going to happen.
Comment 14 pedric 2010-10-18 13:30:09 UTC
32bit OpenOffice.org cannot connect to 64bit ODBC data sources in Win64 as ODBC 
drivers and client are required to have the same architecture. The 32bit ODBC 
administration tool is not readily available through the Windows7 x64 UI. The 
best solution is to use a 64bit client. Albeit hidden (and not recommended by MS 
for its lack of addin compatibility), MS Office 2010 provides a 64bit version. 
OpenOffice doesn't. Go figure.
Comment 15 strata 2010-10-18 20:07:54 UTC
I think this is one of the many items/target/goal in which LibreOffice - The
Document Foundation (TDF) and OOo may work together!

Together to build the best and professional and open Office suite. I trust in this.

I think they (we!) may work together on all! But and however... a little
converging step is always a good step and so must be walked through.

I'd sincerely love if Oracle's OOo side/group at all decide to go into TDF.

We all love this! We all want this.
Comment 16 saabdude 2010-12-15 14:40:20 UTC
We wanted to integrate our .Net application with OOo and immediately struck 
problems when deploying to 64-bit platforms as the OOo interop assembly is of 
course 32-bit. At least fix the glue -- please.
Comment 17 dynv 2012-05-04 19:27:00 UTC
I got a fresh system with Win7 64bit and I'd like to run OO natively (not emulated with a 32bit version).

Thanks
Comment 18 Ariel Constenla-Haile 2014-07-17 22:59:06 UTC
Addapting the summary, as XP is EoL.
Comment 19 oooforum (fr) 2018-01-15 11:00:56 UTC
LibO 5 provide a x64 build for Windows.
See this work in progress in: 
https://wiki.documentfoundation.org/Development/msvc-x86_64

Maybe a dev guy could be run this task ;-)
Comment 20 Marcus 2018-01-31 20:56:46 UTC
*** Issue 127682 has been marked as a duplicate of this issue. ***
Comment 21 Jim Michaels 2018-03-04 05:32:34 UTC
windows x32 needs the following target dirs:
x32: C:\Program Files (x86)\
x64: C:\Program Files\
check out set command in cmd shell to see these.
set | find "PROGRAMFILES"
Comment 22 Jim Michaels 2018-03-04 05:33:52 UTC
VC++ uses VCVARS64.BAT to set x64 and VCVARS32.bat to set x32.